Package org.eclipse.emf.compare.internal

# Class AbstractCompareECrossReferencerAdapter

java.lang.Object
org.eclipse.emf.ecore.util.ECrossReferenceAdapter
org.eclipse.emf.compare.internal.AbstractCompareECrossReferencerAdapter

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

Direct Known Subclasses:
  `DiffCrossReferencer`, `MatchCrossReferencer`

public abstract class AbstractCompareECrossReferencerAdapter extends ECrossReferenceAdapter
Abstract class that redefines `handleContainment(org.eclipse.emf.common.notify.Notification)` to mimic `EContentAdapter` behavior.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`ECrossReferenceAdapter.InverseCrossReferencer`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`inverseCrossReferencer, iterating, settingTargets, unloadedEObjects, unloadedResources`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCompareECrossReferencerAdapter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleContainment(Notification notification)`
`protected boolean`
`resolve()`

### Methods inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`addAdapter, createInverseCrossReferencer, dump, getCrossReferenceAdapter, getInverseReferences, getInverseReferences, getInverseReferences, getNonNavigableInverseReferences, getNonNavigableInverseReferences, getTarget, handleCrossReference, isAdapterForType, isIncluded, notifyChanged, removeAdapter, resolveAll, resolveProxy, selfAdapt, setTarget, setTarget, setTarget, setTarget, unsetTarget, unsetTarget, unsetTarget, unsetTarget, useRecursion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCompareECrossReferencerAdapter

public AbstractCompareECrossReferencerAdapter()

## Method Details

### handleContainment

protected void handleContainment(Notification notification)

Overrides:
  `handleContainment` in class `ECrossReferenceAdapter`
See Also:
  - `ECrossReferenceAdapter.handleContainment(org.eclipse.emf.common.notify.Notification)`

### resolve

protected boolean resolve()

Overrides:
  `resolve` in class `ECrossReferenceAdapter`